Package org.apache.velocity.util

# Interface TemplateNumber

public interface TemplateNumber
Any object in the context which implements TemplateNumber will be treated as a number for the purposes of arithmetic operations and comparison.

Since:
  1.5
Author:
  Will Glass-Husain

## Method Summary

Modifier and Type
Method
Description
`Number`
`getAsNumber()`
Returns a Number that can be used in a template.

## Method Details

### getAsNumber

Number getAsNumber()
Returns a Number that can be used in a template.

Returns:
  A Number that can be used in a template.